/**
 * QXGrid 部件模型
 *
 * @export
 * @class QXGridModel
 */
export default class QXGridModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof QXGridGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof QXGridGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'orgsectorid',
          prop: 'orgsectorid',
          dataType: 'PICKUP',
        },
        {
          name: 'orgsecusertypeid',
          prop: 'orgsecusertypeid',
          dataType: 'PICKUP',
        },
        {
          name: 'usercode',
          prop: 'usercode',
          dataType: 'TEXT',
        },
        {
          name: 'updateman',
          prop: 'updateman',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'orgusername',
          dataType: 'TEXT',
        },
        {
          name: 'orgusername',
          prop: 'orgusername',
          dataType: 'TEXT',
        },
        {
          name: 'srfkey',
          prop: 'orguserid',
          dataType: 'GUID',
        },
        {
          name: 'srfdataaccaction',
          prop: 'orguserid',
          dataType: 'GUID',
        },
        {
          name: 'orguserlevelid',
          prop: 'orguserlevelid',
          dataType: 'PICKUP',
        },
        {
          name: 'orgid',
          prop: 'orgid',
          dataType: 'PICKUP',
        },
        {
          name: 'orgname',
          prop: 'orgname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'orgsectorname',
          prop: 'orgsectorname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'orguser',
          prop: 'orguserid',
        },
      {
        name: 'n_orgusername_like',
        prop: 'n_orgusername_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_orgname_like',
        prop: 'n_orgname_like',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'n_usercode_like',
        prop: 'n_usercode_like',
        dataType: 'TEXT',
      },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}